%define name oxine
%define version 0.2
%define release 1mdk
%define xinever 1-0.beta9
Summary: OSD-based xine video player frontend
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
URL: http://xine.sf.net
Group: Video
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: libxine1-devel >= %xinever
BuildRequires: liblirc-devel
BuildRequires: XFree86-devel
Requires: xine-plugins >= %xinever

%description
oxine is a lightweight, purely osd based xine frontend for set-top
boxes and home entertainment systems.

%prep
%setup -q
%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p %buildroot%{_libdir}/menu
cat > %buildroot%{_libdir}/menu/%{name} <<EOF 
?package(%name):command="%{_bindir}/%name" title="Oxine" longtitle="OSD Xine Video Player" needs="X11" section="Multimedia/Video" icon="video_section.png" mimetypes="video/mpeg,video/msvideo,video/quicktime,video/x-avi,video/x-ms-asf,video/x-ms-wmv,video/x-msvideo,application/x-ogg,audio/x-mp3,audio/x-mpeg,video/x-fli,audio/x-wav" accept_url="true" multiple_files="true"
EOF

%post
%update_menus

%postun
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO AUTHORS ChangeLog doc/doc.html
%_bindir/%name
%_datadir/%name
%_menudir/%name

%changelog
* Fri Apr  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- initial package

